Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5243 - Upgrade failed to find root filesystem.
Summary: Upgrade failed to find root filesystem.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-20 13:40 UTC by daniel.schudel
Modified: 2015-01-07 23:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 13:27:31 UTC


Attachments (Terms of Use)

Description daniel.schudel 1999-09-20 13:40:30 UTC
This could be related to 2504 and 3118.  However, the
resolution for these two did not correct the following
problem.

I am upgrading a 5.2 system to 6.0.  At the point where the
installer needs to know the root filesystem, it gives three
partition choices.  None of which are the real root
partition.  Both normal and expert install modes exhibit
this problem.  I am not able to proceed with the upgrade
because the system does not know the real root partition.

I have tried the latest boot images dated 9/19
(RHEA-1999:036-01).  These images still fail.

I am including an exact copy of my /etc/fstab, we'll have to
see how well it is formatted.
---snip---
#/dev/hda1       /mnt/a/                     ext2
defaults        1 1
#/dev/hda3       swap                        swap
defaults        0 0
#/dev/hda5       /mnt/a/usr                  ext2
defaults        1 2
#/dev/hda6       /mnt/a/var                  ext2
defaults        1 2
#/dev/hda7       /mnt/a/usr/local            ext2
defaults        1 2

/dev/cdrom      /mnt/cdrom      iso9660
user,exec,dev,suid,rw 0 0
/dev/cdrom      /mnt/cd         iso9660
user,exec,dev,suid,rw 0 0

/dev/hda1       /                            ext2
defaults        1 1
/dev/hda2      swap                          swap
defaults        0 0
/dev/hda5       /usr                         ext2
defaults        1 2
/dev/hda6       /var                         ext2
defaults        1 2
/dev/hda7       /usr/local                   ext2
defaults        1 2
/dev/hda8       /usr/share/audio/Archive_00  ext2
defaults        1 2
/dev/hda9       /usr/share/audio/Archive_01  ext2
defaults        1 2
/dev/hda10      /usr/share/audio/Archive_02  ext2
defaults        1 2
/dev/hda11      /usr/share/audio/Archive_03  ext2
defaults        1 2
/dev/hda12      /usr/share/audio/Archive_04  ext2
defaults        1 2
/dev/hda13      /usr/share/audio/Archive_05  ext2
defaults        1 2
/dev/hda14      /usr/share/audio/Archive_06  ext2
defaults        1 2
/dev/hda15      /usr/share/audio/Archive_07  ext2
defaults        1 2
/dev/hda16      /usr/share/audio/Archive_08  ext2
defaults        1 2
/dev/hda17      /usr/share/audio/Archive_09  ext2
defaults        1 2
/dev/hda18      /usr/share/audio/Archive_10  ext2
defaults        1 2
/dev/hda19      /usr/share/audio/Archive_11  ext2
defaults        1 2
/dev/hda20      /usr/share/audio/Archive_12  ext2
defaults        1 2
/dev/hda21      /usr/share/audio/Archive_13  ext2
defaults        1 2
/dev/hda22      /usr/share/audio/Archive_14  ext2
defaults        1 2
/dev/hda23      /usr/share/audio/Archive_15  ext2
defaults        1 2

/dev/hdb1       /usr/local/lib/cvs           ext2
defaults        1 2

/dev/hdd5       /home                        ext2
defaults        1 2
/dev/hdd6       /usr/share/audio/Work        ext2
defaults        1 2

/dev/fd0        /mnt/floppy                  ext2
noauto          0 0

none            /proc                   proc
defaults        0 0
---snip---

Comment 1 Bill Nottingham 1999-09-20 18:24:59 UTC
Which partion does it think is your root partition?

Comment 2 daniel.schudel 1999-09-21 12:06:59 UTC
The 3 partitions given to choose as the root partition are:
/dev/hdb1
/dev/hdd5
/dev/hdd6

Additionally, the logs on Console 3 show that those are the only 3
partitions that are mounted, scanned, and then unmounted.  I presume
it is scanning for a candidate for root?

No attempts are ever made to look at the partitions on hda.

Comment 3 daniel.schudel 1999-11-15 20:25:59 UTC
RedHat 6.1 did not have the same problem with the /etc/fstab.  I was able to
upgrade my system to version 6.1.  Though the installer had a slight hic-cup
with the large number of partitions.


Note You need to log in before you can comment on or make changes to this bug.